<template>
  <q-btn :label="$props.label" :style="{ color: visible? $props.color : 'grey'}" @click="onClick" />
</template>

<script lang="ts">
import { defineComponent, computed } from 'vue';

export default defineComponent({
  emits: ['toggled'],
  props: {
    label: {
      type: String,
      default: () => 'default',
    },
    visible: {
      type: Boolean,
      default: () => true,
    },
    color: {
      type: String,
      default: () => 'black',
    },
  },
  setup(props, { emit }) {

    const onClick = () => {
      emit('toggled');
    }

    return {
      onClick
    };
  },
});
</script>
